> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve overpaid Transaction

> Resolve overpaid Transaction



## OpenAPI

````yaml get /payment/resolve
openapi: 3.0.2
info:
  title: Coinprofile business API
  version: 1.0.0
  description: Coinprofile business API
servers:
  - url: https://staging-biz.coinprofile.co/v2
    description: Production
security: []
tags: []
paths:
  /payment/resolve:
    get:
      summary: Resolve overpaid Transaction
      description: Resolve overpaid Transaction
      operationId: resolveOverpaidTransaction
      parameters:
        - name: id
          in: query
          description: The ID of the unresolved transaction
          required: true
          schema:
            type: string
        - name: option
          in: query
          description: >-
            This is the way you want the transaction to be completed. Either
            refundExcess or PayAll option
          required: true
          schema:
            type: string
            enum:
              - refundexcess
              - payall
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string

````